cURL
curl --request PUT \
--url https://api.botpress.cloud/v1/admin/workspace-members/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-workspace-id: <x-workspace-id>' \
--data '{}'import requests
url = "https://api.botpress.cloud/v1/admin/workspace-members/{id}"
payload = {}
headers = {
"x-workspace-id": "<x-workspace-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-workspace-id': '<x-workspace-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};
fetch('https://api.botpress.cloud/v1/admin/workspace-members/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"email": "<string>",
"createdAt": "<string>",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"profilePicture": "<string>",
"displayName": "<string>"
}{
"id": "<string>",
"email": "<string>",
"createdAt": "<string>",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"profilePicture": "<string>",
"displayName": "<string>"
}Update the member of a workspace
PUT
/
v1
/
admin
/
workspace-members
/
{id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Workspace ID
Whether the client supports bots with multiple instances of the same integration. Set to "true" to receive integration instances keyed by their alias instead of their id. This header will be removed in the future, and the API will always return multiple instances keyed by alias.
Path Parameters
Workspace member ID
Body
application/json
Workspace member metadata
Available options:
viewer, billing, developer, manager, administrator, owner Was this page helpful?
⌘I